Path: news.f.de.plusline.net!news-fra1.dfn.de!news.tele.dk!feed118.news.tele.dk!postnews.google.com!y66g2000hsf.googlegroups.com!not-for-mail
From: "joel garry" <joel-garry@home.com>
Newsgroups: comp.databases.oracle.server
Subject: Re: dbms_space_admin.segment_moveblocks procedure: purpose ?
Date: 15 Mar 2007 11:29:18 -0700
Organization: http://groups.google.com
Lines: 40
Message-ID: <1173983358.540935.132390@y66g2000hsf.googlegroups.com>
References: <1173884590.648412.145880@n59g2000hsh.googlegroups.com>
   <45f82a0c$0$23631$426a34cc@news.free.fr>
   <1173897543.753450.36560@n76g2000hsh.googlegroups.com>
   <45f8473a$0$5869$426a34cc@news.free.fr>
NNTP-Posting-Host: 75.49.200.201
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
X-Trace: posting.google.com 1173983360 22292 127.0.0.1 (15 Mar 2007 18:29:20 GMT)
X-Complaints-To: groups-abuse@google.com
NNTP-Posting-Date: Thu, 15 Mar 2007 18:29:20 +0000 (UTC)
In-Reply-To: <45f8473a$0$5869$426a34cc@news.free.fr>
User-Agent: G2/1.0
X-HTTP-UserAgent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0),gzip(gfe),gzip(gfe)
X-HTTP-Via: 1.0 ISA2K4-OC1
Complaints-To: groups-abuse@google.com
Injection-Info: y66g2000hsf.googlegroups.com; posting-host=75.49.200.201;
   posting-account=YRNZ5wwAAAAg-yYjMFwy3FyWUbPiwNdq
Xref: news.f.de.plusline.net comp.databases.oracle.server:195543

On Mar 14, 12:04 pm, "Michel Cadot" <micadot{at}altern{dot}org> wrote:

>
> I would guess if it is not documented maybe it is because it has not
> to be used or it works only in specific cases or it is not stable or...
>

All reasonable guesses, but we need to keep in mind the docs are not
as tightly coupled to the reality of the code base as we would like.
Making any assumptions one way or another about the usefulness of
anything that is not in the docs is about as logical as assuming a
select will give data back in a particular order without an order by.
In other words, wrong, and in a very basic way.  Of course, this loose
coupling also implies one must use some amount of skepticism about
what _is_ in the docs, as in "trust, but verify."  When the docs and
reality don't agree, there is no way to predict which is correct - and
even which (or either) is correct might change over time.

Of course, the way some people revel in using undocumented features in
production environs is even worse.  It's not only often wrong, but
asking for trouble.

Nothing wrong with learning and exploring though, it should be
encouraged in my view.  How one applies such knowledge is what is
important, distinguishing the professional from the poseur.  Some
companies base their commercial existence on using obscure features,
which is fine as long as they have the appropriate quality control.
FWIW, IMNSHO I don't think Oracle has appropriate quality control.
The QC of the docs has improved noticeably over time, but it _is_ a
tough, perhaps intractable, problem keeping them totally correct.

Now, in your first response you said the procedure is not public.
Yet, anyone can look at the script that creates it.  What does not
public mean?

jg
--
@home.com is bogus.
"...get that golden witness..." http://www.signonsandiego.com/uniontrib/20070314/news_1b14peregrin.html

